Subject: Re: PATCH: short-circuiting glob exclusion operator
From: Peter Stephenson <[email-masked]>
To: zsh workers <[email-masked]>
Date: Sat, 9 Apr 2016 20:51:42 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Sat, 9 Apr 2016 21:00:36 +0200
Mikael Magnusson <[email-masked]> wrote:
> The only argument against this syntax (and I'm not saying it's a
> strong argument) is that you have to choose between being able to
> shortcircuit a subtree, or excluding a particular match that happens
> to be a directory (while still including children of that directory).
> Unless like before this only applies to the final ~ pattern in the,
> er, pattern?

They're not actually in competition; I meant to ensure it was possible
to specify both, which I've done.

pws